// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import 'babel-polyfill'

import '@@/utils/dateUtil'

import '@@/assets/main.scss'

import Vue from 'vue'
import App from './App'
import router from './router'

import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'

import MyComponent from './components'

if (process.env.NODE_ENV === 'development') {
  require('./mock/index')
}

Vue.config.productionTip = false

Vue.use(ElementUI)

Vue.use(MyComponent)

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  components: { App },
  template: '<App/>'
})
